classification
Title: Implement PEP 3108
Type: behavior Stage: needs patch
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: 2874 3260 Superseder:
Assigned To: brett.cannon Nosy List: Retro, alexandre.vassalotti, andrewsmedina, barry, benjamin.peterson, brett.cannon, eric.araujo, eric.snow, fdrake, flox, georg.brandl, gpolo, hdiogenes, henry.precheur, jhylton, jnoller, juracy, kbk, meador.inge, orivej, pitrou, quentin.gallet-gilles
Priority: critical Keywords: patch

Created on 2008-05-06 18:11 by brett.cannon, last changed 2012-11-17 15:05 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
symtable_removed_on_py3k.diff andrewsmedina, 2008-05-11 22:34 symtable/_symtable removed on py3000
deprecated_symtable_on_py26.patch andrewsmedina, 2008-05-12 00:33 symtable/_symtable deprecated warnings added for python 2.6
htmllib_removed_on_py3k.diff andrewsmedina, 2008-05-12 02:19 htmllib removed in py3000
http_package_on_py3k.diff juracy, 2008-05-15 01:33 Patch for http package for py3000
http_package_on_py3k.status juracy, 2008-05-15 01:36 SVN status for http package patch on py3000
renaming_leftovers_2.6.patch quentin.gallet-gilles, 2008-05-15 08:46 Patch against trunk (r63318)
import_renames_py3k.patch quentin.gallet-gilles, 2008-05-23 12:49 Patch for some imports in py3k
setup.py.remove-bsddb.diff henry.precheur, 2009-07-03 04:10 Remove bsddb build code
zipfile-patch.diff Retro, 2010-10-13 19:30 Fixing zipfile.BadZipfile to zipfile.BadZipFile
Messages (71)
msg66326 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-06 18:11
This is to keep track of who is working on what for PEP 3108 
(http://www.python.org/dev/peps/pep-3108/). Once something is complete it 
should be denoted in the PEP itself, so always check the PEP to see what 
is left to be done (for both 2.6 and 3.0).
msg66330 - (view) Author: Jeremy Hylton (jhylton) Date: 2008-05-06 20:12
I'm working on the new urllib package.
msg66340 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-06 22:59
I'm working on removing mac modules.
msg66341 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-06 23:02
I am working on audiodev to get the basic structure of removals worked out 
(testing infrastructure, etc.).
msg66342 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-06 23:12
For the TextMate users, I am going to be checking in a Python-Dev bundle 
into svn soon which will include a command to insert the warnpy3k() call 
for module deletions. Might want to wait for that if you want to cut out 
at least one copy-and-paste step. =)
msg66348 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-06 23:55
If you use TextMate, get the Python-Dev bundle and use the command in 
there to insert the deprecation boilerplate for removing a module.
msg66520 - (view) Author: Andrews Patrick Rocha Medina (andrewsmedina) Date: 2008-05-10 13:45
I'm working on removing symtable/_symtable
msg66538 - (view) Author: Juracy Filho (juracy) Date: 2008-05-10 15:53
I'm working on creating http package with httplib, BaseHTTPServer,
CGIHTTPServer, SimpleHTTPServer, Cookie and cookielib
msg66540 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-05-10 16:19
Here is a patch for the Queue module renaming - I can not easily do the 
actual svn rename to the lowercase queue myself (it's easier to do it with 
commit privs). Tests pass, documentation updated as well.
msg66565 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-05-10 19:04
Here is a patch for the required changes to rename SocketServer.py - tests 
pass after I manually rename SocketServer.py locally. Again skipping the 
svn rename of the actual module. Doc updates included.
msg66567 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-05-10 19:16
I'm working on xmlrpc/* changes
msg66568 - (view) Author: Jeremy Hylton (jhylton) Date: 2008-05-10 19:24
I think we should move robotparser into the urllib package.  Anyone
disagree?

Jeremy
msg66570 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-05-10 19:29
Should DocXMLRPCServer.py be moved into xmlrpc/ as well?
msg66574 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-10 19:52
On Sat, May 10, 2008 at 12:29 PM, Jesse Noller <report@bugs.python.org> wrote:
>
> Jesse Noller <jnoller@gmail.com> added the comment:
>
> Should DocXMLRPCServer.py be moved into xmlrpc/ as well?

Yes, and end up in the server module. That was just an oversight on my
part. The PEP has been updated.
msg66588 - (view) Author: Andrews Patrick Rocha Medina (andrewsmedina) Date: 2008-05-10 21:48
I add deprecated warnings symtable/_symtable in python 2.6
msg66599 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-11 03:39
Just so people know, I have emailed python-dev about renaming urllib as I 
realized there are some issues with the solution proposed in the PEP.
msg66602 - (view) Author: Andrews Patrick Rocha Medina (andrewsmedina) Date: 2008-05-11 06:32
The files Python/compile.c and Python/pythonrun.c depends of the
_symtable (Python/symtable.c and Include/symtable.h).

What I do for remove _symtable in py3k?
msg66603 - (view) Author: Humberto Diogenes (hdiogenes) Date: 2008-05-11 06:54
Andrews, this discussion would be more appropriate to the mailing list, 
but anyway: I believe you're mixing things up. When PEP 3108 says "remove 
symtable/_symtable", it must be talking only about symtable.py and 
symtablemodule.c, not symtable.[ch] (used by the compiler).
msg66646 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-11 17:54
I'm working on the new package tkinter and dialogs merging where
appropriate.
msg66660 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-11 20:15
Patch regarding the move to tkinter package added.

What this patch does
--------------------

* Moved lib-tk to tkinter and renamed modules according to PEP 3108
* Merged tkFileDialog into filedialog     
* Merged tkSimpleDialog into simpledialog 
* Updated imports in pydoc
* Updated imports in idlelib
* Updated imports in Tools and Demos
* Changed lib-tk to tkinter at Makefile.pre.in
* Removed TKPATH from Modules/Setup.dist
* Removed references of lib-tk at PC/

What has to be done
-------------------

* Update iss script at PC/ to change lib-tk to tkinter
* Update docs
* stub modules ?
msg66695 - (view) Author: Andrews Patrick Rocha Medina (andrewsmedina) Date: 2008-05-12 01:40
I'm working on creating html package with HTMLParser and htmlentitydefs
msg66696 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-12 01:45
Just so people know, feel free to create new issues for stuff if you want. 
Other issues can be made dependencies of this issue very easily.
msg66698 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-12 02:01
New patch regarding the move to tkinter package, now with docs updated.
This one should be the "final" patch, and while the patch is relatively
large it mostly trivial to review.
msg66701 - (view) Author: Andrews Patrick Rocha Medina (andrewsmedina) Date: 2008-05-12 02:19
For to remove the htmllib on Python 3000 is need to removed these files:

Lib/htmllib.py
Lib/test_htmllib.py

And apply this patch
msg66815 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-14 11:59
I'm working on renaming the ConfigParser module.
msg66816 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-05-14 12:19
I've somehow lost my xmlrpc* changes on my local machine - if someone else 
gets to it before me, feel free to work on it.
msg66822 - (view) Author: Juracy Filho (juracy) Date: 2008-05-14 16:42
I almost finished the http package patch, but I'm doubt about how I
would do it with Docs.

There are various doc files: basehttpserver.rst, cgihttpserver.rst,
httplib.rst and so on.

Would I join them into one's or only update their information (imports) ?
msg66823 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-14 16:47
Keep one file per submodule, but rename them to the new names, and
update all references to the old name.

If the new toplevel package (http in this case) contains something,
there must be a new file for it.
msg66840 - (view) Author: Juracy Filho (juracy) Date: 2008-05-15 01:32
I've finished a patch for http package, but I've doubts about how to
make a patch.

I've used a svn diff and svn status to make the patch and status file
respectively.
msg66841 - (view) Author: Juracy Filho (juracy) Date: 2008-05-15 01:36
Output for svn status of http package patch.
msg66842 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-15 01:54
On Wed, May 14, 2008 at 6:33 PM, Juracy Filho <report@bugs.python.org> wrote:
>
> Juracy Filho <juracy@gmail.com> added the comment:
>
> I've finished a patch for http package, but I've doubts about how to
> make a patch.
>
> I've used a svn diff and svn status to make the patch and status file
> respectively.

That should be enough. Thanks, Juracy!
msg66849 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-15 08:46
I've found some places where configparser, copyreg, queue and
socketserver haven't been renamed. The attached patch
'renaming_leftovers_2.6.patch' corrects this.

I'm working on renaming markupbase in 2.6 as of now.
msg66893 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:26
Removing htmllib is not as simple as just removing the modules as pydoc 
uses htmllib.
msg66911 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 05:08
Issue 2883 is where future http package stuff should occur. I referenced 
this issue for initial patches.
msg66915 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 05:12
Issue 2884 references this issue as it is to be used to tracker the new 
tkinter package.
msg66917 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 05:17
I have created an individual issue for every major step left in 
implementing PEP 3108. Each one that is still open is now listed as a 
dependency for this issue.
msg66961 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2008-05-16 18:05
Quentin Gallet-Gilles wrote:
> I've found some places where configparser, copyreg, queue and
> socketserver haven't been renamed. The attached patch
> 'renaming_leftovers_2.6.patch' corrects this.

Thanks! Applied in r63384.
msg67025 - (view) Author: Fred L. Drake, Jr. (fdrake) (Python committer) Date: 2008-05-18 06:25
The html package has been created (issue 2882).
msg67032 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-18 17:59
I have now removed the closed issues as dependencies. Thanks to everyone 
who has helped so far! You have no idea how appreciative I am.
msg67070 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-19 19:07
OK, so it turns out the way renames have been handled breaks pre-existing 
pickles. That means that the stubs in 2.6 will actually have to be the new 
names and not the old ones.

I will work with the stdlib-sig to try to come up with a reasonable way to 
rectify the situation, but until then do NOT check in any rename patches.
msg67085 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:15
Because of pickle compatibility in 2.x, all renames in the trunk need to 
be reverted. Work in 3.0 is still fine and won't be touched.

I have already updated the PEP with the new steps required for renames.
msg67156 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2008-05-21 14:16
I'm working on issue 2873 (remove htmllib dependency from pydoc).
msg67160 - (view) Author: Fred L. Drake, Jr. (fdrake) (Python committer) Date: 2008-05-21 15:42
On May 21, 2008, at 10:16 AM, Mark Dickinson wrote:
> I'm working on issue 2873 (remove htmllib dependency from pydoc).

Thanks, Mark!  I was dreading the thought of looking at that.
msg67234 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-23 12:49
While working on the commands module removal, I found two missed import
renaming in the py3k branch that made regrtest skip some tests. The
attached patch corrects them.
msg67268 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-23 20:53
On Fri, May 23, 2008 at 7:49 AM, Quentin Gallet-Gilles
<report@bugs.python.org> wrote:
>
> Quentin Gallet-Gilles <qgallet@gmail.com> added the comment:
>
> While working on the commands module removal, I found two missed import
> renaming in the py3k branch that made regrtest skip some tests. The
> attached patch corrects them.

The test_tcl one was fixed in 2.6 (when we were renaming) and will be
merged into Py3k. I will catch the test_1413192.py. Thanks!
>
> Added file: http://bugs.python.org/file10416/import_renames_py3k.patch
>
> __________________________________
> Tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2775>
> __________________________________
>
msg68035 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2008-06-11 23:07
Done with pickle and stringio.
msg68041 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-06-12 02:08
We've got what we've got for the first betas.
msg68970 - (view) Author: Georgij Kondratjev (orivej) Date: 2008-06-29 21:34
Not creating new bug entry because everybody can quickly fix it.

In urllib/request.py some instances of URLError are raised with "raise
urllib.error.URLError" and this works, buth there are lines with "raise
URLError" which produces "NameError: global name 'URLError' is not defined"
msg69061 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-07-01 19:56
Fixed in r64624.
msg83489 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-03-12 07:07
For those of you following along, the only thing keeping PEP 3108 and
this issue from being finished are the two dependent issues: os.stat and
profile/cProfile.
msg90043 - (view) Author: Henry Precheur (henry.precheur) Date: 2009-07-03 04:10
I found some bsddb code left in setup.py. Patch attached.
msg90051 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-07-03 13:23
Thanks for the patch. Applied in r738067.
msg97812 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-15 14:01
Modules "hotshot" and "xmllib" give deprecation warnings. But they are not part of PEP 3108 or PEP 4.
msg97847 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-01-15 21:14
I don't know why hotshot was deprecated specifically for Python 3 as that was never directly part of the discussion for PEP 3108. As for xmllib, that is most likely an oversight. Either way they should get added to the relevant PEPs.
msg118566 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-13 19:30
I am very glad you're reorganizing the Standard Library. Thumbs up! I hope everything will comply to PEP 8 after you're done.

Since you're reorganizing, I have my own contribution. I have uploaded a patch. The issue7351 (http://bugs.python.org/issue7351) was not accepted at the time, I hope you'll accept this fix now.

My point is that every class name in module zipfile is like this:
- exception class: LargeZipFile
- normal class: ZipFile
- normal class: PyZipFile

So apply my fix to make the exception class BadZipfile consistent to others and let it be BadZipFile.

Thank you.
msg118573 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-10-13 20:04
The reorganization is over short of one or two lasting changes that may not even be made now. New suggestions are not directly being discussed here and would have to be taken up on python-dev.
msg118654 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-14 12:11
Can you send my patch and comment to python-dev? Because I don't know how to. I don't know where is python-dev and what exactly you mean by this.
msg118688 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-10-14 16:43
No. Best I can do is suggest you perform an internet search on the term as it makes it obvious what python-dev is.
msg118863 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-16 10:29
My patch "zipfile-patch.diff" was sent to python-dev. Please act on it as you see fit. Thank you.
msg118949 - (view) Author: Boštjan Mejak (Retro) Date: 2010-10-17 16:12
Did you manage to apply my fix "zipfile-patch.diff" to the trunk?
msg118956 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-10-17 17:57
If any action regarding your patch takes place there will be a comment here about it. Until then assume nothing has happened.
msg119598 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-10-26 10:43
Shouldn't this be closed? Most of this has been done and we can't do the rest anyway, without breaking backwards compatibility.
msg119624 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-10-26 17:48
profile and cProfile could still conceivably be merged, even if it is under a new name if someone found the time to do the compatibility work.
msg119641 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-26 19:27
I will have a go at the profiler situation.

I imagine the following: deprecate the cProfile module, and provide both profiler classes from the profile module -- e.g. as PythonProfile and CProfile, and provide Profile = PythonProfile.  (From cProfile.py, obviously Profile = CProfile).  A lot of the interface (module-level helpers and script entry) are near duplicated anyway.

In 3.3, the default Profile could then be reassigned to CProfile.
msg124777 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-28 10:10
Alas, too late for 3.2 now.
msg147624 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-11-14 17:59
Just so people know, if the profile situation isn't resolved by 3.3 I'm considering PEP 3108 done.

IOW, if anyone wants to step forward and deal with cProfile/profile, that would be appreciated. =)
msg147632 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2011-11-14 20:53
For the stat module in the "Obsolete" section[1], should the entry be updated to indicate that the module was left alone (see issue 2874)?

Would it be worth having the "Merging C and Python Impl..." section[2] include a reference to PEP 399?


[1] http://www.python.org/dev/peps/pep-3108/#obsolete
[2] http://www.python.org/dev/peps/pep-3108/#merging-c-and-python-implementations-of-the-same-interface
msg147689 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-11-15 17:03
Answers to Eric's questions: yes and yes, but I probably won't bother until I do a final update to the PEP.
msg149079 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2011-12-09 07:08
Brett, issue 2919 had a patch that merges profile/cProfile for a while now but nobody test it yet.

All I need it someone to download the patch, install it, test it on some random script and tell me if it works. I don't need more.
msg149094 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-12-09 13:42
> Brett, issue 2919 had a patch that merges profile/cProfile for a while 
> now but nobody test it yet.

> All I need it someone to download the patch, install it, test it on
> some random script and tell me if it works. I don't need more.

I don't see any patch there, only a .tgz and two Python files.
msg175751 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-17 15:05
I think we are as close as we are going to get with PEP 3018 being implemented. if profile/cProfile ever get merged that is great (issue #16492), but I'm not holding my breath and thus I am closing this issue.
History
Date User Action Args
2012-11-17 15:05:49brett.cannonsetstatus: open -> closed
resolution: fixed
dependencies: - Merge profile/cProfile in 3.n+1
messages: + msg175751
2011-12-09 13:42:08pitrousetmessages: + msg149094
2011-12-09 07:08:00alexandre.vassalottisetmessages: + msg149079
2011-11-28 01:44:23meador.ingesetnosy: + meador.inge
2011-11-15 17:03:33brett.cannonsetmessages: + msg147689
2011-11-14 20:53:37eric.snowsetnosy: + eric.snow
messages: + msg147632
2011-11-14 17:59:05brett.cannonsetmessages: + msg147624
2010-12-28 10:10:56georg.brandlsetnosy: jhylton, fdrake, barry, brett.cannon, georg.brandl, kbk, pitrou, alexandre.vassalotti, hdiogenes, quentin.gallet-gilles, benjamin.peterson, gpolo, orivej, jnoller, andrewsmedina, juracy, eric.araujo, henry.precheur, Retro, flox
messages: + msg124777
versions: + Python 3.3, - Python 3.2
2010-11-18 00:36:24eric.araujosetkeywords: - easy
versions: - Python 3.1, Python 2.7
2010-10-26 19:27:20georg.brandlsetmessages: + msg119641
2010-10-26 17:48:40brett.cannonsetstatus: pending -> open

messages: + msg119624
2010-10-26 10:43:52pitrousetstatus: open -> pending
nosy: + pitrou
messages: + msg119598

2010-10-17 17:57:25brett.cannonsetmessages: + msg118956
2010-10-17 16:12:38Retrosetmessages: + msg118949
2010-10-16 10:29:07Retrosetmessages: + msg118863
2010-10-14 16:43:13brett.cannonsetmessages: + msg118688
2010-10-14 12:11:30Retrosetmessages: + msg118654
2010-10-13 20:04:15brett.cannonsetmessages: + msg118573
2010-10-13 19:30:52Retrosetfiles: + zipfile-patch.diff
nosy: + Retro
messages: + msg118566

2010-06-17 18:36:04mark.dickinsonsetnosy: - mark.dickinson
2010-02-07 01:07:19eric.araujosetnosy: + eric.araujo
2010-01-15 21:14:39brett.cannonsetmessages: + msg97847
2010-01-15 14:01:31floxsetnosy: + flox
messages: + msg97812
2009-07-03 13:23:05benjamin.petersonsetmessages: + msg90051
2009-07-03 04:10:32henry.precheursetfiles: + setup.py.remove-bsddb.diff
nosy: + henry.precheur
messages: + msg90043

2009-05-29 23:01:15r.david.murraysetversions: + Python 3.1, Python 2.7, Python 3.2, - Python 2.6, Python 3.0
2009-03-12 07:07:14brett.cannonsetmessages: + msg83489
2009-02-11 03:07:04brett.cannonsetstage: needs patch
2008-08-06 19:21:59brett.cannonsetdependencies: - Create the urllib package
2008-07-12 19:55:38brett.cannonsetdependencies: - Fixer for dbm is failing
2008-07-11 01:52:40brett.cannonsetdependencies: + fix_imports does not handle intra-package renames
2008-07-11 01:52:22brett.cannonsetdependencies: + Fixer for dbm is failing
2008-07-01 19:56:44georg.brandlsetmessages: + msg69061
2008-06-29 21:34:23orivejsetnosy: + orivej
messages: + msg68970
2008-06-18 23:38:52brett.cannonsetdependencies: + Create the urllib package
2008-06-18 23:27:41benjamin.petersonsetdependencies: - Create the urllib package
2008-06-12 22:17:11benjamin.petersonsetdependencies: - Remove usage of rfc822 from the stdlib
2008-06-12 21:28:46benjamin.petersonsetdependencies: - Remove mimetools usage from the stdlib
2008-06-12 02:08:19barrysetpriority: release blocker -> critical
nosy: + barry
messages: + msg68041
2008-06-11 23:07:45alexandre.vassalottisetdependencies: - merge pickle and cPickle in 3.0, Merge StringIO/cStringIO in 3.0
messages: + msg68035
2008-06-08 23:28:19benjamin.petersonsetdependencies: - Remove cl usage from aifc, Write UserDict fixer for 2to3
2008-06-01 21:36:21benjamin.petersonsetdependencies: - Remove htmllib use in the stdlib
2008-06-01 16:05:38kbksetnosy: + kbk
2008-05-29 21:27:20benjamin.petersonsetdependencies: - Add gestalt back into Python 3.0
2008-05-29 19:14:18brett.cannonsetdependencies: - Backport UserList move in 3.0
2008-05-29 18:57:34brett.cannonsetdependencies: - Backport UserString move from 3.0
2008-05-26 19:51:33benjamin.petersonsetdependencies: - Remove commands for PEP 3108
2008-05-26 16:32:51georg.brandlsetdependencies: - Create the http package
2008-05-26 14:49:48georg.brandlsetdependencies: - Create the xmlrpc package
2008-05-26 10:35:59georg.brandlsetdependencies: - Create the dbm package
2008-05-26 00:20:17brett.cannonsetdependencies: - Rename the thread module to _thread, Rename _winreg to winreg, Revert ConfigParser rename in 2.6, Revert Queue rename in 2.6
2008-05-24 23:03:26brett.cannonsetfiles: - socketserver_rename.patch
2008-05-24 23:02:44brett.cannonsetdependencies: - Revert SocketServer rename in 2.6
2008-05-23 20:53:52benjamin.petersonsetmessages: + msg67268
2008-05-23 12:49:33quentin.gallet-gillessetfiles: + import_renames_py3k.patch
messages: + msg67234
2008-05-23 05:08:04brett.cannonsetdependencies: - Rename repr to reprlib
2008-05-22 03:19:24brett.cannonsetdependencies: - 2to3 fixer to rename markupbase to _markupbase
2008-05-22 02:51:24brett.cannonsetdependencies: + Backport UserList move in 3.0
2008-05-21 15:43:02fdrakesetmessages: + msg67160
2008-05-21 14:16:26mark.dickinsonsetnosy: + mark.dickinson
messages: + msg67156
2008-05-20 22:09:56brett.cannonsetdependencies: - rename test_support to support
2008-05-20 18:47:49brett.cannonsetdependencies: - Moving lib-tk to tkinter package, Create the html package, Revert copy_reg rename in 2.6
2008-05-20 04:39:04brett.cannonsetdependencies: + Moving lib-tk to tkinter package, Rename repr to reprlib, Create the html package, Revert ConfigParser rename in 2.6, Revert copy_reg rename in 2.6, Revert Queue rename in 2.6, Revert SocketServer rename in 2.6
2008-05-20 04:15:34brett.cannonsetmessages: + msg67085
2008-05-19 20:02:29brett.cannonsetdependencies: + merge pickle and cPickle in 3.0, Merge StringIO/cStringIO in 3.0, Merge profile/cProfile in 3.n+1
2008-05-19 19:07:24brett.cannonsetmessages: + msg67070
2008-05-18 17:59:40brett.cannonsetdependencies: - Moving lib-tk to tkinter package, Rename repr to reprlib, Create the html package, Create the tkinter package
messages: + msg67032
2008-05-18 13:38:15gpolosetfiles: - tkinter_package_and_fixes_2.diff
2008-05-18 06:25:40fdrakesetnosy: + fdrake
messages: + msg67025
2008-05-16 18:05:11alexandre.vassalottisetnosy: + alexandre.vassalotti
messages: + msg66961
2008-05-16 05:17:13brett.cannonsetdependencies: - Patch to rename *Server modules to lower-case, Patch to rename HTMLParser module to lower_case, Remove mac modules
messages: + msg66917
2008-05-16 05:13:53brett.cannonsetdependencies: + Create the xmlrpc package
2008-05-16 05:12:48brett.cannonsetmessages: + msg66915
2008-05-16 05:11:46brett.cannonsetdependencies: + Create the urllib package
2008-05-16 05:10:23brett.cannonsetdependencies: + Create the tkinter package
2008-05-16 05:08:47brett.cannonsetdependencies: + Create the http package
messages: + msg66911
2008-05-16 05:06:30brett.cannonsetdependencies: + Create the html package
2008-05-16 05:05:39brett.cannonsetdependencies: + Create the dbm package
2008-05-16 05:04:23brett.cannonsetdependencies: + Rename repr to reprlib
2008-05-16 04:52:18brett.cannonsetdependencies: + Rename _winreg to winreg
2008-05-16 04:50:21brett.cannonsetdependencies: + Backport UserString move from 3.0
2008-05-16 04:49:20brett.cannonsetdependencies: + Write UserDict fixer for 2to3
2008-05-16 04:47:00brett.cannonsetdependencies: + Rename the thread module to _thread
2008-05-16 04:45:57brett.cannonsetdependencies: + Remove use of the stat module in the stdlib
2008-05-16 04:44:28brett.cannonsetdependencies: + Remove htmllib use in the stdlib
2008-05-16 04:37:44brett.cannonsetdependencies: + Remove commands for PEP 3108
2008-05-16 04:26:39brett.cannonsetmessages: + msg66893
2008-05-15 18:43:38brett.cannonsetdependencies: + 2to3 fixer to rename markupbase to _markupbase
2008-05-15 10:34:46mbcvieirasetnosy: - mbcvieira
2008-05-15 08:46:53quentin.gallet-gillessetfiles: + renaming_leftovers_2.6.patch
messages: + msg66849
2008-05-15 01:54:27brett.cannonsetmessages: + msg66842
2008-05-15 01:36:01juracysetfiles: + http_package_on_py3k.status
messages: + msg66841
2008-05-15 01:33:47juracysetfiles: + http_package_on_py3k.diff
messages: + msg66840
2008-05-14 20:10:02brett.cannonsetdependencies: + Add gestalt back into Python 3.0
2008-05-14 16:47:48georg.brandlsetnosy: + georg.brandl
messages: + msg66823
2008-05-14 16:42:35juracysetmessages: + msg66822
2008-05-14 12:19:29jnollersetmessages: + msg66816
2008-05-14 11:59:10quentin.gallet-gillessetnosy: + quentin.gallet-gilles
messages: + msg66815
2008-05-14 01:02:16brett.cannonsetdependencies: + Remove usage of rfc822 from the stdlib
2008-05-14 00:59:53brett.cannonsetdependencies: + Remove mimetools usage from the stdlib
2008-05-14 00:57:37brett.cannonsetdependencies: + Remove cl usage from aifc
2008-05-13 19:25:35georg.brandlsetdependencies: + Patch to rename *Server modules to lower-case
2008-05-13 19:23:58georg.brandlsetdependencies: + Patch to rename HTMLParser module to lower_case
2008-05-13 08:32:54georg.brandlsetdependencies: + rename test_support to support
2008-05-12 18:01:08gpolosetdependencies: + Moving lib-tk to tkinter package
2008-05-12 02:19:23andrewsmedinasetfiles: + htmllib_removed_on_py3k.diff
messages: + msg66701
2008-05-12 02:02:15gpolosetfiles: - tkinter_package_and_fixes.diff
2008-05-12 02:01:37gpolosetfiles: + tkinter_package_and_fixes_2.diff
messages: + msg66698
2008-05-12 01:59:34benjamin.petersonsetdependencies: + Remove mac modules
2008-05-12 01:45:26brett.cannonsetfiles: - queue_rename.patch
2008-05-12 01:45:17brett.cannonsetmessages: + msg66696
2008-05-12 01:40:07andrewsmedinasetmessages: + msg66695
2008-05-12 01:20:10brett.cannonlinkissue2828 dependencies
2008-05-12 00:33:55andrewsmedinasetfiles: + deprecated_symtable_on_py26.patch
2008-05-11 22:34:44andrewsmedinasetfiles: + symtable_removed_on_py3k.diff
2008-05-11 20:16:46gpolosetfiles: + tkinter_package_and_fixes.diff
messages: + msg66660
2008-05-11 17:54:26gpolosetnosy: + gpolo
messages: + msg66646
2008-05-11 06:54:15hdiogenessetnosy: + hdiogenes
messages: + msg66603
2008-05-11 06:33:06andrewsmedinasetmessages: + msg66602
2008-05-11 03:39:28brett.cannonsetpriority: critical -> release blocker
messages: + msg66599
2008-05-11 00:45:46andrewsmedinasetfiles: - deprecated_symtable_on_py26.patch
2008-05-10 21:48:33andrewsmedinasetfiles: + deprecated_symtable_on_py26.patch
messages: + msg66588
2008-05-10 19:52:12brett.cannonsetmessages: + msg66574
2008-05-10 19:29:47jnollersetmessages: + msg66570
2008-05-10 19:24:40jhyltonsetmessages: + msg66568
2008-05-10 19:16:32jnollersetmessages: + msg66567
2008-05-10 19:04:45jnollersetfiles: + socketserver_rename.patch
messages: + msg66565
2008-05-10 16:19:29jnollersetfiles: + queue_rename.patch
nosy: + jnoller
messages: + msg66540
keywords: + patch
2008-05-10 16:13:33mbcvieirasetnosy: + mbcvieira
2008-05-10 15:53:40juracysetnosy: + juracy
messages: + msg66538
2008-05-10 13:45:02andrewsmedinasetnosy: + andrewsmedina
messages: + msg66520
2008-05-06 23:55:27brett.cannonsetkeywords: + easy
2008-05-06 23:55:13brett.cannonsetmessages: + msg66348
2008-05-06 23:12:02brett.cannonsetmessages: + msg66342
2008-05-06 23:02:56brett.cannonsetmessages: + msg66341
2008-05-06 22:59:35benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg66340
2008-05-06 20:12:02jhyltonsetnosy: + jhylton
messages: + msg66330
2008-05-06 18:11:27brett.cannonsetassignee: brett.cannon
2008-05-06 18:11:08brett.cannoncreate